Subject: bug#23504: git 2.7.4 fails to clone repositories over HTTPS sources

From: ng0 <[email-masked]>
Date: Wed, 11 May 2016 22:07:38 +0000

On 2016-05-10(03:11:34+0200), Ricardo Wurmus wrote:
> 
> Dennis Mungai <[email-masked]> writes:
> 
> > Hello there,
> >
> > I'm using git 2.7.4 from a guix profile, and here is my current environment:
> >
> > guix package -p ~/opt/guix-build-system --search-paths
> > warning: failed to install locale: Invalid argument
> > export PATH="/home/lin/opt/guix-build-system/bin:/home/lin/opt/guix-build-system/sbin"
> > export XDG_DATA_DIRS="/home/lin/opt/guix-build-system/share"
> > export GUIX_GTK3_PATH="/home/lin/opt/guix-build-system/lib/gtk-3.0"
> > export INFOPATH="/home/lin/opt/guix-build-system/share/info"
> > export PKG_CONFIG_PATH="/home/lin/opt/guix-build-system/lib/pkgconfig"
> > export GUILE_LOAD_COMPILED_PATH="/home/lin/opt/guix-build-system/lib/guile/2.0/ccache"
> > export C_INCLUDE_PATH="/home/lin/opt/guix-build-system/include"
> > export CPLUS_INCLUDE_PATH="/home/lin/opt/guix-build-system/include"
> > export LIBRARY_PATH="/home/lin/opt/guix-build-system/lib"
> > export ACLOCAL_PATH="/home/lin/opt/guix-build-system/share/aclocal"
> >
> > which env returns:
> >
> > which env
> > /home/lin/opt/guix-build-system/bin/env
> >
> > Now, with git clone example over HTTPS:
> >
> > git clone --branch gn-latest https://github.com/genenetwork/guix-bioinformatics
> > Cloning into 'guix-bioinformatics'...
> > fatal: unable to access
> > 'https://github.com/genenetwork/guix-bioinformatics/': server
> > certificate verification failed. CAfile: none CRLfile: none
> >
> > The system git does not present such an error.
> >
> > What could be wrong with my setup? Missing certificates?
> 
> Please try this:
> 
>     export GIT_SSL_CAPATH=$HOME/.guix-profile/etc/ssl/certs
> 
> Assuming that nss-certs has been installed into $HOME/.guix-profile this
> should be enough to make it work.
> 
> I wonder how we can make it easier to tell the user that this
> environment variable must be set.
> 
> ~~ Ricardo

Assuming this currently does not exist (I have not checked it), what
about a note in the manual, application specific, and maybe something
like a message after guix package -i git was run?

-- 
♥Ⓐ ng0